# pull official base image
# FROM python:3.8-slim-buster
FROM python:3.10-slim-buster

# set work directory
WORKDIR /usr/src/app

# set environment variable
ENV PYTHONDONTWRITEBYTECODE 1
ENV PYTHONUNBUFFERED 1

# copy project files
COPY . /usr/src/app/

# install system dependencies
RUN apt-get update \
    && apt-get install -y gcc pkg-config default-libmysqlclient-dev python-dev ssh \
    && apt-get clean

# install python dependencies
RUN pip install --upgrade pip \
    && pip install -r requirements.txt

# collect static files
RUN python manage.py collectstatic --noinput

# expose the port
EXPOSE 8000

# command to run
CMD ["gunicorn", "--workers=3", "--bind=0.0.0.0:8000", "butler_ddochi.wsgi:application"]
# CMD ["python", "manage.py", "runserver", "0.0.0.0:8000"]